Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxEthAal5App_p.h File Reference This file contains the private declaration of the IxEthAal5App component's main functions, utilities, etc. More... Go to the source code of this file.
## Enumerations
enum | IxEAAModeType { IX_EAA_UTOPIA_MODE, IX_EAA_ADSL_MODE }
## Functions
BOOL | ixEthAal5AppUtilsUtopiaFpgaStimulusAsMasterSet (void)
| Configure test and stimulus FPGA clocks for IXP425 as ATM master.
IX_STATUS | ixEthAal5AppUtilsNpeImageDownload (IxNpeDlNpeId npeId, IxNpeDlFunctionalityId functionalityId)
IX_STATUS | ixEthAal5AppUtilsAtmVcRegisterConnect (IxAtmLogicalPort port, unsigned vpi, unsigned vci, IxAtmdAccAalType aalType, IxAtmServiceCategory atmService, IxAtmRxQueueId rxQueueId, IxAtmdAccRxVcRxCallback rxCallback, unsigned int minimumReplenishCount, IxAtmdAccTxVcBufferReturnCallback bufferFreeCallback, IxAtmdAccRxVcFreeLowCallback rxFreeLowCallback, IxAtmdAccUserId userId, IxAtmConnId *rxConnId, IxAtmConnId *txConnId)
IX_STATUS | ixEthAal5AppUtilsAtmVcUnregisterDisconnect (IxAtmConnId rxConnId, IxAtmConnId txConnId)
IX_STATUS | ixEthAal5AppUtilsAtmAllVcsDisconnect (void)
| Disconnect and unregister all registered VCs.
void | ixEthAal5AppShowTaskDisable (void)
| Disable the ShowTask's loop.
## Detailed Description This file contains the private declaration of the IxEthAal5App component's main functions, utilities, etc. Version: Revision 1.4 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxEthAal5App_p.h. ## Function Documentation
ixEthAal5AppShowTaskDisable | ( | void |  | ) |
| Disable the ShowTask's loop.
ixEthAal5AppUtilsAtmAllVcsDisconnect | ( | void |  | ) |
  | Disconnect and unregister all registered VCs. Parameters:
  none |
Returns: IX_SUCCESS successful call to ixEthAal5AppUtilsAtmAllVcsDisconnect IX_FAIL parameter error, failed to disconnect, not initialised or some other error occurs during processing.
ixEthAal5AppUtilsUtopiaFpgaStimulusAsMasterSet | ( | void |  | ) |
  | Configure test and stimulus FPGA clocks for IXP425 as ATM master. Parameters:
  none |
Returns: IX_SUCCESS successful call to ixEthAal5AppUtilsUtopiaFpgaStimulusAsMasterSet IX_FAIL parameter error, failed to configure stimulus FPGA, not initialised or some other error occurs during processing.
Automatically generated from sources. © Intel Corp. 2003